package com.gh.gamecenter.message.entity

import com.gh.gamecenter.common.entity.LinkEntity
import com.gh.gamecenter.feature.entity.TimeEntity
import com.gh.gamecenter.feature.entity.UserEntity
import com.google.gson.annotations.SerializedName

data class MessageGameEntity(
    @SerializedName("_id")
    var id: String = "",
    var type: String = "",
    var from: String = "",
    var user: UserEntity? = UserEntity(),
    var time: TimeEntity = TimeEntity(),
    var content: Content? = null,
    var links: List<LinkEntity>? = null
) {
    data class Content(
        var link: LinkEntity? = null,
        var images: List<String> = listOf(),
        var type: String = "",
        var lines: List<List<String>> = emptyList()
    )
}